Skip to content

Search these docs, or ask Revo a question — answers link the pages they came from.

Triggers the run events for specificed schedules


POST
/api/v1/{tenantId}/run-schedules

Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.

tenantId
required
string
object
simulationSpeed
number format: float
schedulesToRun
Array<object>
nullable
object
scheduleId
string
nullable
threadCount
integer format: int32
startSettings
object
mode
string
Allowed values: now atDateTime atStartOfOtherScheduleThread atEndOfOtherScheduleThread
startDateTime
string format: date-time
nullable
predecessorScheduleThreadId
integer format: int64
nullable
predecessorThreadIndex
integer format: int32
nullable
useLastThread
boolean
runParameterValues
object
values
Array<object>
nullable
object
name
string
nullable
value
string
nullable

OK

object

Bad Request

object
message
string
nullable
code
string
nullable

Too Many Requests

object
message
string
nullable
code
string
nullable

Service Unavailable

object
message
string
nullable
code
string
nullable

Gateway Timeout

object
message
string
nullable
code
string
nullable